﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IgDoughnutTester
{
    public class Child : INotifyPropertyChanged
    {
        private string _name;
        private decimal _value;
        public string Name
        {
            get
            {
                return _name;
            }
            set
            {
                _name = value;
                PropChanged("Name");
            }
        }
        public decimal Value
        {
            get
            {
                return _value;
            }
            set
            {
                _value = value;
                PropChanged("Value");
            }
        }
        public event PropertyChangedEventHandler PropertyChanged;
        public void PropChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }
    }
}
